## START: Set by rpmautospec
## (rpmautospec version 0.6.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Use QORTEC's fork for now since upstream appears unmaintained.
# See https://github.com/pdewacht/brlaser/issues/145
%global forgeurl https://github.com/Owl-Maintain/brlaser

Name:           printer-driver-brlaser
Version:        6.2.6
%forgemeta
Release:        %autorelease
Summary:        Brother laser printer driver

License:        GPL-2.0-or-later
URL:            %{forgeurl}
Source0:        %{forgesource}

ExcludeArch:    %{ix86}

BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  cups-devel
Requires:       cups-filesystem
Requires:       ghostscript

%description
brlaser is a CUPS driver for Brother laser printers.

Although most Brother printers support a standard printer language
such as PCL or PostScript, not all do. If you have a monochrome
Brother laser printer (or multi-function device) and the other open
source drivers don't work, this one might help.

For a detailed list of supported printers, please refer to
%{forgeurl}

%prep
%forgesetup

%build
%cmake
%cmake_build

%install
%cmake_install

%check
%ctest

%files
%{_cups_serverbin}/filter/rastertobrlaser
%{_datadir}/cups/drv/brlaser.drv
%doc README.md
%license COPYING

%changelog
## START: Generated by rpmautospec
* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 6.2.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org> - 6.2.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Wed Aug 02 2023 Ondřej Budai <ondrej@budai.cz> - 6.2.6-1
- Update to 6.2.6

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 6.2.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Tue Mar 14 2023 Ondřej Budai <ondrej@budai.cz> - 6.2.5-2
- Drop i686 builds

* Tue Mar 14 2023 Ondřej Budai <ondrej@budai.cz> - 6.2.5-1
- Update to 6.2.5

* Fri Jan 27 2023 Ondřej Budai <ondrej@budai.cz> - 6.2-2
- convert license to SPDX

* Tue Jan 24 2023 Ondřej Budai <ondrej@budai.cz> - 6.2-1
- Bump to the version 6.2 of the QORTEC's fork, fix build on F38

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 6-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon May 09 2022 Ondrej Budai <ondrej@budai.cz> - 6-2
- Add support for many devices by pulling merging unmerged upstream PRs

* Sun Mar 27 2022 Ondrej Budai <ondrej@budai.cz> - 6-1
- Initial package version

## END: Generated by rpmautospec
